﻿<%@ Page Language="C#" MasterPageFile="~/Extranet/Seguridad/eFENIX_Principal.master" AutoEventWireup="true" CodeFile="eFENIX_LiquidacionesXProveedor.aspx.cs" Inherits="Extranet_Gerencia_eFENIX_LiquidacionesXProveedor" %>



 <asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">


     <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css"/>
     <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>    
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js" type="text/javascript"></script>
    <script src="../../Script/Java_Script/jsAcuerdoComision.js"></script>   
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    </asp:Content>
    <asp:Content ID="Content2" ContentPlaceHolderID="ContentCab" Runat="Server">
        <link href="../../Script/Hojas_Estilo/ccFenix.css" rel="stylesheet" />
        <span class="texto_titulo" >Tu Sesion Expirara en &nbsp; 
            <span class="texto_titulo" id="seconds"> </span>
            <span>&nbsp;seg.</span>
         </span>
         <asp:Button ID="btn_cerrar" runat="server" Text="cerrar" 
            onclick="btn_cerrar_Click"  Style="display: none;" />
    </asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="CntMaster" Runat="Server">
    <table cellspacing="0" cellpadding="0" style="width: 100%;">
        <tr>
            <td class="form_titulo" style="width: 85%">
                <asp:TextBox ID="LblTitulo" Text="Lista de Liquidacioness" ReadOnly="true" 
                    style="background-color: #0069ae; border: #0069ae; color: #FFFFFF; font-family: Calibri; font-size: 13px; font-weight: bold; text-transform: uppercase;" 
                    runat="server" Width="231px" ></asp:TextBox>
            </td> 
        </tr>
    </table>

    <table class="form_bandeja" style=" width: 100%; margin-top:5px;">
        <tr>
            <td  style="width: 5%;">
             &nbsp;&nbsp;   Proveedor  &nbsp; :
            </td> 

            <td style="width: 60%;">
                <asp:Label ID="idLblComisionista" runat="server" Text="Comisionista"
                                 Visible="true" CssClass="lblComisionista"></asp:Label>
            </td> 
        </tr>
    </table>

     <table cellspacing="0" cellpadding="0" style="width: 100%;">       
        
        <tr style="height: 55px;">
            <td valign="top" colspan="2">
                <table class="form_bandeja" style=" width: 100%;">
                                   <tr>
                        <td style="width: 9%">
                           &nbsp;&nbsp; Liquidacion
                        </td>
                        <td style="width:103px;">
                            <asp:TextBox ID="txtLiquidacion" runat="server" Width="80px"  Style="text-transform: uppercase; margin-left: 27;" autocomplete="off" ></asp:TextBox>
                        </td>
                        <td>
                           Estado
                        </td> 
                        <td>
                           <asp:DropDownList ID="DplEstado" runat="server"  >                                
                            </asp:DropDownList>
                        </td> 
                        <td>

                            Fecha Inicio  
                        </td>
                        <td>
                             <input id="txtIni_datepicker" type="text" readonly size="17px" maxlength="10" name="DatePickername" class="texto_extranet" />
                         
                        </td>
                        <td>
                             Fecha Fin    
                        </td>
                        <td>
                                <input id="txtFin_datepicker" type="text" readonly size="17px" maxlength="10" name="DatePickerFinname" class="texto_extranet" />
                        </td>
                        <td>

                            <div style="margin-left:7%; margin-bottom:10%;">
                              <asp:Button ID="ImgBtnBuscar"  runat="server" Text="Consultar" OnClick="ImgBtnBuscar_Click" class="btn btn-primary" BackColor="#0069ae"/>
                                </div>
                            
                        </td>

                    </tr>
                    </table>
            </td>
        </tr>
      
        <tr valign="top" style="height: 70%">
            <td colspan="5">
                <ajax:UpdatePanel ID="upDocumentoOrigen" runat="server" UpdateMode="Conditional" >
                    <ContentTemplate>                         
                        <div style="overflow: auto; width: 100%; height: 350px;">
                            <asp:GridView ID="GrvListado" runat="server" AutoGenerateColumns="False"
                                SkinID="GrillaConsulta" Width="100%" OnRowCommand="GrvListado_RowCommand" DataKeyNames="iLiquidacion,sSituacion,iIdSituacion" OnRowDataBound="GrvListado_RowDataBound" >
                                <Columns>

                                     <asp:TemplateField>  
                                           <ItemTemplate>
                                                      <asp:CheckBox ID="chkSeleccionar" runat="server" />
                                           </ItemTemplate>
                                        <HeaderStyle BackColor="#0069ae" Width="20px" />
                                        <ItemStyle Width="20px"></ItemStyle>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="NroLiquidacion"  HeaderStyle-Width="10px" ItemStyle-HorizontalAlign="Center">
                                                         <ItemTemplate>
                                                                 <asp:Label ID="lblItemLiquidacion" runat ="server" Text='<%# Eval("iLiquidacion") %>' />                                                            
                                                           </ItemTemplate>
                                                        <EditItemTemplate>                                                          
                                                            <asp:Label ID="lblEditLiquidacion" runat ="server" Text='<%# Bind("iLiquidacion") %>' /> 

                                                        </EditItemTemplate>                                                           
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                    </asp:TemplateField>
                                   

                                    <asp:TemplateField HeaderText="Fecha Generada"  HeaderStyle-Width="70px" ItemStyle-HorizontalAlign="Center">
                                        <ItemTemplate>
                                              <asp:Label ID="lblItemFecha" runat ="server" Text='<%# Eval("sApto") %>'  />                                                            
                                            </ItemTemplate>
                                         <EditItemTemplate>                                                          
                                                            <asp:Label ID="lblEditFecha" runat ="server" Text='<%# Bind("sApto") %>' />  

                                                        </EditItemTemplate>                                                           
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="dImporte" HeaderText="Importe" ItemStyle-HorizontalAlign="Center" ItemStyle-Width="5px">                                       
                                    </asp:BoundField>

                                    <asp:TemplateField HeaderText="Items"  HeaderStyle-Width="20px" ItemStyle-HorizontalAlign="Center">
                                                         <ItemTemplate>
                                                                 <asp:Label ID="lblItemItems" runat ="server" Text='<%# Eval("iTipoTran") %>' />                                                            
                                                           </ItemTemplate>
                                                        <EditItemTemplate>
                                                         
                                                            <asp:Label ID="lblEditItems" runat ="server" Text='<%# Bind("iTipoTran") %>' />  
                                                        </EditItemTemplate>                                                           
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Situacion"  HeaderStyle-Width="70px" ItemStyle-HorizontalAlign="Center">
                                                         <ItemTemplate>
                                                                 <asp:Label ID="lblItemSituacion" runat ="server" Text='<%# Eval("sSituacion") %>' />                                                            
                                                           </ItemTemplate>
                                                        <EditItemTemplate>
                                                       
                                                            <asp:Label ID="lblEditSituacion" runat ="server" Text='<%# Bind("sSituacion") %>' />  
                                                        </EditItemTemplate>                                                           
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                    </asp:TemplateField>

                                  <asp:TemplateField HeaderText="Serie"  HeaderStyle-Width="50px" ItemStyle-HorizontalAlign="Center">
                                                         <ItemTemplate>
                                                             
                                                             <asp:TextBox ID="TxtSerie" CssClass="TxtSerie" runat="server" Width="58px"  Text='<%# Eval("sDocNroSerie") %>' Placeholder="INGRESE "   MaxLength="4" Style="text-transform: uppercase"></asp:TextBox>  
                                                           </ItemTemplate>
                                                                                                                
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                    </asp:TemplateField>
                                     <asp:TemplateField HeaderText="Nro Factura"  ShowHeader="False" HeaderStyle-Width="50px" ItemStyle-HorizontalAlign="Center">
                                                            <ItemTemplate>
                                                              
                                                                 <asp:TextBox ID="TxtFacturaComisionista" runat="server" Width="80px" Placeholder="INGRESE"   MaxLength="8"  Text='<%# Eval("sDocNroComisionista") %>' Style="text-transform: uppercase"></asp:TextBox>  
                                                           </ItemTemplate>
                                                                                                            
                                                        <HeaderStyle ForeColor="White" />                                                                                    
                                                    </asp:TemplateField>                                   
                                      <asp:TemplateField ShowHeader="False" HeaderText=""  HeaderStyle-Width="1px">
                                          <%--  --%>
                                       <ItemTemplate>
                                                <asp:ImageButton ID="ImgBRegistrarFactura" runat="server" CausesValidation="False" Width="18px"
                                                      ImageUrl="~/Script/Imagenes/IconButton/diskette.png" CssClass="btnRegistrarFactura" OnClientClick = "return RegistrarFacturaLiq();" /><%--CommandName="Edit" --%>                                                      
                                                 </ItemTemplate>
                                        <ItemStyle  HorizontalAlign="Center" Width="20px" />
                                        </asp:TemplateField> 

                                     <asp:TemplateField ShowHeader="False" HeaderText="Descargar" ItemStyle-HorizontalAlign="center"  HeaderStyle-Width="10px">
                                                                            <ItemTemplate>
                                                                                <asp:ImageButton ID="OpenLiq" runat="server" CausesValidation="false" Width="30px" 
                                                                                    CommandName="OpenLiquidacion" ImageUrl="~/Script/Imagenes/IconButton/filePDF.png" ToolTip="PDF" />&nbsp;&nbsp;
                                                                               <asp:ImageButton ID="OpenExc" runat="server" CausesValidation="false" Width="26px" Style="margin-bottom:2.5px;"
                                                                                    CommandName="OpenExcel" ImageUrl="~/Script/Imagenes/IconButton/Excell.png" ToolTip="Excel" />
                                                                            </ItemTemplate>
                                                                            <ItemStyle Width="10%" HorizontalAlign="Center" />
                                         </asp:TemplateField> 
                                   
                                    <%--<asp:ButtonField ButtonType="Image" CommandName="OpenLiquidacion" ItemStyle-HorizontalAlign="left" HeaderText="Liquidacion" HeaderStyle-Width="10px" ImageUrl="~/Script/Imagenes/IconButton/filePDF.png"
                                            Text="Descargar Liquidacion">
                                         </asp:ButtonField>
                                    <asp:ButtonField ButtonType="Image" CommandName="OpenExcel" ItemStyle-HorizontalAlign="left" HeaderText="Excel" HeaderStyle-Width="10px" ImageUrl="~/Script/Imagenes/IconButton/Excel.png"
                                            Text="Descargar Excel">
                                    </asp:ButtonField> --%>
                                </Columns>
                            </asp:GridView>
                        </div>
                    </ContentTemplate>
                    <Triggers>      
                      
                        <ajax:AsyncPostBackTrigger ControlID="ImgBtnBuscar" EventName="Click" />

                     
                  
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="PageChanged" />
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="NextPage" />
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="PreviousPage" />
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="FirstPage" />  
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="LastPage" />  

<asp:AsyncPostBackTrigger ControlID="ImgBtnBuscar" EventName="Click"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="PageChanged"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="NextPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="PreviousPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="FirstPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="LastPage"></asp:AsyncPostBackTrigger>

<asp:AsyncPostBackTrigger ControlID="ImgBtnBuscar" EventName="Click"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="PageChanged"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="NextPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="PreviousPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="FirstPage"></asp:AsyncPostBackTrigger>
<asp:AsyncPostBackTrigger ControlID="dnvListado" EventName="LastPage"></asp:AsyncPostBackTrigger>

                    </Triggers>
                </ajax:UpdatePanel>
            </td>
         </tr>

          <tr valign="top" style="height: 6%;">
            <td colspan="5">
               <ajax:UpdatePanel ID="upDnvListado" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <FENIX:DataNavigator ID="dnvListado" runat="server" AllowCustomPaging="True" ButtonText="Ir" 
                            ForeColor="White" Font-Size="11px" BackColor="#0069ae" 
                            CurrentPage="1" CustomClientFunction="" EnableAskingAfterPage="False" EnableCustomScript="False"
                            GridViewId="GrvListado" ImagesPath="~/Imagenes/DN/" IsParentShowWindow="False"
                            MessageAskingAfterPage="" PageIndicatorFormat="Página {0} / {1}" Visible="False"
                            Width="100%" WidthButtonIr="" WidthTextBoxNumPagina="25px" />
                    </ContentTemplate>
                    <Triggers>
                        <ajax:AsyncPostBackTrigger ControlID="dnvListado" EventName="PageChanged" />
                        <ajax:AsyncPostBackTrigger ControlID="ImgBtnBuscar" EventName="Click" />
                    </Triggers>
                </ajax:UpdatePanel>
            </td>
        </tr>
        
        
    </table>
    <asp:HiddenField ID="HdIdDocOri" runat="server" />



<%--    =========================================================
    ===============================================--%>


    <script language="javascript" type="text/javascript">

         var tiempo = 0;
        var seconds = 0;

        var myVar = setInterval(function () {
            clearInterval(myVar);
        }, 1000);

        var myTiempo = setTimeout(function () {
            clearInterval(myTiempo);
        }, 1);

        function myStopFunction() {
            clearInterval(myVar);
            seconds = '<%=GlobalEntity.Instancia.TiempoDuracionSesion%>' * 60;
            tiempo = '<%=GlobalEntity.Instancia.TiempoDuracionSesion%>' * 1000 * 60;

            CuentaTiempo(tiempo);
        }

        function CuentaTiempo(tiempo) {
            clearTimeout(myTiempo);
            myTiempo = setTimeout(function () {
                document.getElementById('<%=btn_cerrar.ClientID%>').click();
                //window.location = "../Seguridad/eFENIX_Login.aspx";
            }, tiempo);
        }

         function SessionExpireAlert(timeout) {
            seconds = timeout / 1000;
            document.getElementsByName("seconds").innerHTML = seconds;

            myvar = setInterval(function () {
                seconds--;
                document.getElementById("seconds").innerHTML = seconds;
            }, 1000);

            CuentaTiempo(timeout);
        };


         function GeneraPDF(iLiquidacion) {
            sCodigo = iLiquidacion;
            sUsuario = '<%=GlobalEntity.Instancia.Usuario%>';

            if (sCodigo == "") {
                alert("No existe ninguna Liquidación")
                return false;
            } else {
                strUrl = "&IdLiquidacion=" + sCodigo + "&vi_Usuario=" + sUsuario;
                url = '<%=Convert.ToString(ConfigurationManager.AppSettings["ServerReport"])%>/pages/ReportViewer.aspx?%2fFENIX.Reporte%2fFENIX_LiquidacionComision&rs:Command=Render&rc:Parameters=False' + strUrl;
                window.open(url, '', 'toolbar=no,left=0,top=0,width=800,height=600, directories=no, status=no, scrollbars=yes, resizable=yes, menubar=no');
                return false;
            }
        }

          function fc_GenerarFac()
        {           
            return confirm('Verifique que los datos ingresados sean correctos. Si es así, Aceptar.');
        }
      
      function HabilitarUno(chk) {
            f = document.forms[0].elements;
            for (x = 0; x < f.length; x++) {
                obj = f[x];
                if (obj.type == 'checkbox') {
                    obj.checked = false;
                }
            }
            chk.enabled;
            chk.checked = true;
        }

     function SelectGroupChecks(ParentID) {

            idCheck = ParentID.replace('All', '');
            frm = document.forms[0];
            for (i = 0; i < frm.elements.length; i++) {

                obj = frm.elements[i];
                if (obj.type == 'checkbox') {
                    if (obj.disabled != 1) {
                        obj.checked = document.getElementById(ParentID).checked;
                    }
                }
            }
        }


    </script>



    </asp:Content>

